curl --request GET \
--url https://dev.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/personal-data/history \
--header 'Authorization: Bearer <token>'[
{
"employeeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": 123,
"employeeName": {
"familyName": "<string>",
"givenName": "<string>",
"familyNamePrefix": "<string>",
"givenNameSuffix": "<string>",
"birthName": "<string>",
"birthFamilyNamePrefix": "<string>",
"birthGivenNameSuffix": "<string>",
"title": "<string>"
},
"employmentCountry": "DE",
"gender": "M",
"maritalStatus": "Single",
"nationality": "<string>",
"residenceAddress": "<string>",
"statusIndicator": "managing_partner_gmbh_ug",
"validFrom": "2023-12-25",
"validTo": "2023-12-25"
}
]Get all historical versions of personal data for an employee.
curl --request GET \
--url https://dev.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/personal-data/history \
--header 'Authorization: Bearer <token>'[
{
"employeeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": 123,
"employeeName": {
"familyName": "<string>",
"givenName": "<string>",
"familyNamePrefix": "<string>",
"givenNameSuffix": "<string>",
"birthName": "<string>",
"birthFamilyNamePrefix": "<string>",
"birthGivenNameSuffix": "<string>",
"title": "<string>"
},
"employmentCountry": "DE",
"gender": "M",
"maritalStatus": "Single",
"nationality": "<string>",
"residenceAddress": "<string>",
"statusIndicator": "managing_partner_gmbh_ug",
"validFrom": "2023-12-25",
"validTo": "2023-12-25"
}
]Get token from Auth0 and paste it here
Successful Response
Response model for personal data with metadata fields.
Show child attributes
"DE"Legally recognized genders in Germany.
M, W, D Single, Married EN: Employee status indicator | DE: Statuskennzeichen
managing_partner_gmbh_ug, proprietor_spouse, proprietor_life_partner, proprietor_biological_child, proprietor_adopted_child, proprietor_grandchild EN: Valid from date | DE: Gültig ab Datum
EN: Valid to date | DE: Gültig bis Datum
Was this page helpful?